diff --git a/old/html/multidic/app/webroot/administration/add_word.php b/old/html/multidic/app/webroot/administration/add_word.php
index a7ff6c0..03761b0 100644
--- a/old/html/multidic/app/webroot/administration/add_word.php
+++ b/old/html/multidic/app/webroot/administration/add_word.php
@@ -460,24 +459,24 @@ switch ($krok) {
         <input type="text" 
                class="akkad"
                name="root"  
-               size="50"<?php znova($_REQUEST['root'])?>
+               size="50"<?php znova(@$_REQUEST['root'])?>
                onfocus="aktivujKlavesnici('new_word_form.root')" /></td>
       </tr>
       <tr class="akt">
         <td>rod ('f'/'m' nebo prázdné)</td>
         <td>
-        <?php if($_REQUEST['language ']== 2): ?>
+        <?php if(@$_REQUEST['language ']== 2): ?>
             <select name="gender">
-                <option <?php echo (empty($_REQUEST['gender']))? 'selected="selected" ' : ""?>value="">  </option>
-                <option <?php echo (trim($_REQUEST['gender']) == "'ז")? 'selected="selected" ' : ""?>value="'ז"> 'ז </option>
-                <option <?php echo (trim($_REQUEST['gender']) == "'נ")? 'selected="selected" ' : ""?>value="'נ"> 'נ </option>
-		<option <?php echo (trim($_REQUEST['gender']) == "'ז'+נ")? 'selected="selected" ' : ""?>value="'ז'+נ"> 'ז'+נ </option>
+                <option <?php echo (empty(@$_REQUEST['gender']))? 'selected="selected" ' : ""?>value="">  </option>
+                <option <?php echo (trim(@$_REQUEST['gender']) == "'ז")? 'selected="selected" ' : ""?>value="'ז"> 'ז </option>
+                <option <?php echo (trim(@$_REQUEST['gender']) == "'נ")? 'selected="selected" ' : ""?>value="'נ"> 'נ </option>
+		<option <?php echo (trim(@$_REQUEST['gender']) == "'ז'+נ")? 'selected="selected" ' : ""?>value="'ז'+נ"> 'ז'+נ </option>
             </select>
         <?php else: ?>
             <input type="text" 
                class="akkad"
                name="gender"  
-               size="1"<?php znova($_REQUEST['gender'])?>
+               size="1"<?php znova(@$_REQUEST['gender'])?>
                onfocus="aktivujKlavesnici('new_word_form.gender')" />
         <?php endif;?>
         
@@ -491,15 +490,15 @@ switch ($krok) {
       </tr>
       <tr class="akt">
         <td>lekce*</td>
-        <td><input type="text" name="lection"  size="50"<?php znova($_REQUEST['lection'])?> /></td>
+        <td><input type="text" name="lection"  size="50"<?php znova(@$_REQUEST['lection'])?> /></td>
       </tr>
       <tr class="nadpis_sekce">
         <td>
-          <input type="hidden" name="language" value="<?php echo $_REQUEST['language']?>">
-          <input type="hidden" name="source" value="<?php echo $_REQUEST['source']?>">
-          <input type="hidden" name="delete_from_not_found" value="<?php echo $_REQUEST['delete_from_not_found']?>">
-          <input type="hidden" name="table_not_found" value="<?php echo $_REQUEST['table_not_found']?>">
-          <input type="hidden" name="id_not_found" value="<?php echo $_REQUEST['id_not_found']?>">
+          <input type="hidden" name="language" value="<?php echo @$_REQUEST['language']?>">
+          <input type="hidden" name="source" value="<?php echo @$_REQUEST['source']?>">
+          <input type="hidden" name="delete_from_not_found" value="<?php echo @$_REQUEST['delete_from_not_found']?>">
+          <input type="hidden" name="table_not_found" value="<?php echo @$_REQUEST['table_not_found']?>">
+          <input type="hidden" name="id_not_found" value="<?php echo @$_REQUEST['id_not_found']?>">
           <input type="hidden" name="action" value="insert_new_word">
         </td>
         <td><input type="submit" value="Vlož"></td>
diff --git a/old/html/multidic/app/webroot/administration/context.php b/old/html/multidic/app/webroot/administration/context.php
index 37506e4..a412fb0 100644
--- a/old/html/multidic/app/webroot/administration/context.php
+++ b/old/html/multidic/app/webroot/administration/context.php
@@ -8,7 +8,7 @@ function link_context($context_id, $word_id) {
   $spojeni = new DB_Sql();
   
   $dotaz = "UPDATE dict SET context = '".AddSlashes($context_id)."'
-                        WHERE \"IDdict\" = '".AddSlashes($word_id)."'";
+                        WHERE IDdict = '".AddSlashes($word_id)."'";
   $spojeni->query($dotaz);
   
   if ($spojeni->connection->errno != 0) {
diff --git a/old/html/multidic/app/webroot/administration/duplicity.php b/old/html/multidic/app/webroot/administration/duplicity.php
index 528637b..6f0983f 100644
--- a/old/html/multidic/app/webroot/administration/duplicity.php
+++ b/old/html/multidic/app/webroot/administration/duplicity.php
@@ -2,8 +2,9 @@
 require_once("./functions/dictionary.php");
 
 //NOVE2504
-function get_header_of_table() {
-  return "\n  <tr class=\"nadpis_sekce\">
+function get_header_of_table()
+{
+    return "\n  <tr class=\"nadpis_sekce\">
     <td>zdroj</td>
     <td>lekce</td>
     <td>minulý čas&nbsp;/&nbsp;plural</td>
@@ -15,73 +16,73 @@ function get_header_of_table() {
 ";
 }
 
-function get_row_of_table($Record, $nonauthorized = false, $contrains_user_id = "all") {
-  global $language;
-  global $order;
-  global $od;
-  global $limit;
-  
-  $nav_str = "";
-
-  
-  $navrat .= "  <tr class=\"akt\">\n";
-  $navrat .= '    <td>'.$Record["source"].'</td>'; 
-  $navrat .= "\n".'   <td>'.$Record["lection"].'
-    </td>';  
-  $navrat .= "\n".'    <td class="arabic">'.$Record["past"].'</td>';  
-  
-  $navrat .= "    <td>";
-  $navrat .= $Record["czech"];
-  $navrat .= "&nbsp;</td>\n";
-  $navrat .= "    <td>";
-  $navrat .= $Record["english"];
-  $navrat .= "&nbsp;</td>\n";
-  
-      if (Empty($Record["context"])) {
-      $navrat .= '    <td>není</td>';
-    }
-    else {
-      $navrat .= "    ".'<td>je</td>';
+function get_row_of_table($Record, $nonauthorized = false, $contrains_user_id = "all")
+{
+    global $language;
+    global $order;
+    global $od;
+    global $limit;
+
+    $nav_str = "";
+
+
+    $navrat = "  <tr class=\"akt\">\n";
+    $navrat .= '    <td>' . $Record["source"] . '</td>';
+    $navrat .= "\n" . '   <td>' . $Record["lection"] . '
+    </td>';
+    $navrat .= "\n" . '    <td class="arabic">' . $Record["past"] . '</td>';
+
+    $navrat .= "    <td>";
+    $navrat .= $Record["czech"];
+    $navrat .= "&nbsp;</td>\n";
+    $navrat .= "    <td>";
+    $navrat .= $Record["english"];
+    $navrat .= "&nbsp;</td>\n";
+
+    if (Empty($Record["context"])) {
+        $navrat .= '    <td>není</td>';
+    } else {
+        $navrat .= "    " . '<td>je</td>';
     }
     if (Empty($Record["word_voice"])) {
-      $navrat .= "\n    ".'<td>není</td>';
-    }
-    else {
-      $navrat .= "\n    ".'<td>je</td>';
+        $navrat .= "\n    " . '<td>není</td>';
+    } else {
+        $navrat .= "\n    " . '<td>je</td>';
     }
-    
-  $navrat .= "\n  </tr> \n";
-  return $navrat;
+
+    $navrat .= "\n  </tr> \n";
+    return $navrat;
 }
 
-function get_razeni($l_order = "sorting_no", 
-                    $l_od = 0, 
-                    $l_limit = 14, 
-                    $nonauthorized = false, 
+function get_razeni($l_order = "sorting_no",
+                    $l_od = 0,
+                    $l_limit = 14,
+                    $nonauthorized = false,
                     $contrains_user_id = "all",
-                    $contrains_source = "all", 
-                    $contrains_lection = "all") {
- 
-  global $language;
-  
-  global $order;
-  global $od;
-  global $limit;
-  
-  $order = $l_order;
-  $od    = $l_od;
-  $limit = $l_limit;
-
-  $nav_str = "";
-  
-  $pocet_duplicit = get_pocet_duplicit();
-  $navrat = "<p class=\"akt\"></p>";
-  $navrat .= "\n<table>
+                    $contrains_source = "all",
+                    $contrains_lection = "all")
+{
+
+    global $language;
+
+    global $order;
+    global $od;
+    global $limit;
+
+    $order = $l_order;
+    $od = $l_od;
+    $limit = $l_limit;
+
+    $nav_str = "";
+
+    $pocet_duplicit = get_pocet_duplicit();
+    $navrat = "<p class=\"akt\"></p>";
+    $navrat .= "\n<table>
   <tr class=\"nadpis_sekce\">
     <td>
-      <form action=\"\" method=\"post\" name=\"razeni\">" ;
+      <form action=\"\" method=\"post\" name=\"razeni\">";
 
-  $navrat .=  " (duplicitních položek celkem $pocet_duplicit)<br />
+    $navrat .= " (duplicitních položek celkem $pocet_duplicit)<br />
          Řadit podle 
          <select name=\"order\">
 
@@ -100,44 +101,48 @@ function get_razeni($l_order = "sorting_no",
   <tr class=\"nadpis_sekce\"><td align=\"center\">
     <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=0&limit=$limit&$nav_str\">
             Na začátek </a> |       ";
-  if ($od-$limit >= 0)           
-    $navrat .="\n    <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=".
-              ($od-$limit)."&limit=$limit&$nav_str\"> 
+    if ($od - $limit >= 0)
+        $navrat .= "\n    <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=" .
+            ($od - $limit) . "&limit=$limit&$nav_str\"> 
               Předchozích $limit </a> |       ";
-  if ($od+$limit < $pocet_duplicit)
-    $navrat .="\n    <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=".
-              ($od+$limit)."&limit=$limit&$nav_str\">
+    if ($od + $limit < $pocet_duplicit)
+        $navrat .= "\n    <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=" .
+            ($od + $limit) . "&limit=$limit&$nav_str\">
               Dalších $limit </a> |   ";
-  $navrat .="\n    <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=".
-             ($pocet_duplicit-$limit)."&limit=$limit&$nav_str\"> 
+    $navrat .= "\n    <a href=\"?nav_id=list_duplicity&serad=true&order=$order&od=" .
+        ($pocet_duplicit - $limit) . "&limit=$limit&$nav_str\"> 
              Na konec </a>
   ";
-  $navrat .= "</td></tr></table>\n";
-  return $navrat;
+    $navrat .= "</td></tr></table>\n";
+    return $navrat;
 }
 
-function get_pocet_duplicit() {
-  global $language;
-  require_once("./classes/db.php");
-  $spojeni = new DB_Sql();
-  $dotaz = "SELECT 2
-  FROM dict d 
-  WHERE EXISTS (
-     SELECT 1 
-       FROM dict e 
-       WHERE NOT e.\"IDdict\" = d.\"IDdict\"  
-             AND e.past LIKE d.past
-  )
-  ORDER BY d.past";
-  $spojeni->query($dotaz);
-  return $spojeni->num_rows();
+function get_pocet_duplicit()
+{
+    global $language;
+    require_once("./classes/db.php");
+    $spojeni = new DB_Sql();
+    $dotaz = "SELECT           d.past       as past, 
+                   d.source     as source,
+                   d.lection    as lection,
+                   d.czech      as czech,
+                   d.english    as english,
+                   d.context    as context,
+                   d.word_voice as word_voice
+  FROM dict d
+  GROUP BY
+  past
+  HAVING count(*)>1";
+    $spojeni->query($dotaz);
+    return $spojeni->num_rows();
 
 }
 
 
 //NOVE2504
-function get_foot_of_table() {
-  return '<tr class="nadpis_sekce">
+function get_foot_of_table()
+{
+    return '<tr class="nadpis_sekce">
             <td><!--input type="submit" name="delete_submit" value="Smaž"--></td>
             <td></td>
             <td></td>
@@ -149,14 +154,11 @@ function get_foot_of_table() {
 }
 
 
-
-
-
-
-function print_table_of_duplicity($order = "IDdict", $od = 0, $limit = 14) {
-  require_once("./classes/db.php");
-  $spojeni = new DB_Sql();
-  $dotaz = "
+function print_table_of_duplicity($order = "IDdict", $od = 0, $limit = 14)
+{
+    require_once("./classes/db.php");
+    $spojeni = new DB_Sql();
+    $dotaz = "
   SELECT           d.past       as past, 
                    d.source     as source,
                    d.lection    as lection,
@@ -165,27 +167,25 @@ function print_table_of_duplicity($order = "IDdict", $od = 0, $limit = 14) {
                    d.context    as context,
                    d.word_voice as word_voice
   FROM dict d
-  WHERE EXISTS (
-     SELECT 1 
-       FROM dict e 
-       WHERE NOT e.\"IDdict\" = d.\"IDdict\"  
-             AND e.past LIKE d.past
-  )
-  ORDER BY d.past DESC, d.\"$order\"
+  GROUP BY
+  past
+  HAVING count(*)>1
+  ORDER BY d.past DESC, d.$order
   LIMIT $limit
   OFFSET $od";
-  $radky = $spojeni->query($dotaz);
-  $navrat .= "<h3 class=\"nadpis2\">Výpis slov, které se vyskytují duplicitně</h3>";
-  $navrat .= get_razeni($order, $od, $limit);
-  $navrat .= "<table>";
-  $navrat .= get_header_of_table();
-  while ($spojeni->next_record()) {
-    $navrat .= get_row_of_table($spojeni->Record);
-  }
-  $navrat .= get_foot_of_table();
-  $navrat .= "</table>";
-  echo $navrat;
-
-  
+    $radky = $spojeni->query($dotaz);
+    $navrat = "<h3 class=\"nadpis2\">Výpis slov, které se vyskytují duplicitně</h3>";
+    $navrat .= get_razeni($order, $od, $limit);
+    $navrat .= "<table>";
+    $navrat .= get_header_of_table();
+    while ($spojeni->next_record()) {
+        $navrat .= get_row_of_table($spojeni->row);
+    }
+    $navrat .= get_foot_of_table();
+    $navrat .= "</table>";
+    echo $navrat;
+
+
 }
+
 ?>
